Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTransformBoxManip Class Reference
[Manipulators]

The SoTransformBoxManip wraps an SoTransformBoxDragger for convenience. More...

`#include <Inventor/manips/SoTransformBoxManip.h>`

Inheritance diagram for SoTransformBoxManip:

List of all members.

## Public Methods
| SoTransformBoxManip (void)
## Static Public Methods
void | initClass (void)
## Protected Methods
| ~SoTransformBoxManip ()

## Detailed Description

The SoTransformBoxManip wraps an SoTransformBoxDragger for convenience.

The manipulator class takes care of wrapping up the SoTransformBoxDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for it's interaction with the relevant fields of an SoTransformation node.

## Constructor & Destructor Documentation

SoTransformBoxManip::SoTransformBoxManip | ( | void |  | ) |

| Default constructor. Allocates an SoTransformBoxDragger and an SoSurroundScale node to surround the geometry within our part of the scenegraph.

SoTransformBoxManip::~SoTransformBoxManip | ( |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void SoTransformBoxManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoTransformBoxManip.h
- SoTransformBoxManip.cpp